/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workoutsignin.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.jeeplus.modules.sys.entity.Company;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.entity.User;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import javax.validation.constraints.NotNull;

/**
 * 外勤签到Entity
 * @author 李韵轩
 * @version 2017-04-20
 */
public class WorkOutSignIn extends DataEntity<WorkOutSignIn> {
	
	private static final long serialVersionUID = 1L;
	private String locationName;		// 位置名称
	private String locationInfo;		// 位置详情
	private String longitude;		// 经度
	private String latitude;		// 纬度
	private String companyId; //公司名称
	private User user;		// 归属用户
	
	public WorkOutSignIn() {
		super();
	}

	public WorkOutSignIn(String id){
		super(id);
	}

	@ExcelField(title="位置名称", align=2, sort=1)
	public String getLocationName() {
		return locationName;
	}

	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}
	
	@ExcelField(title="位置详情", align=2, sort=2)
	public String getLocationInfo() {
		return locationInfo;
	}

	public void setLocationInfo(String locationInfo) {
		this.locationInfo = locationInfo;
	}
	
	@ExcelField(title="经度", align=2, sort=3)
	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	
	@ExcelField(title="纬度", align=2, sort=4)
	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	
	@ExcelField(title="归属用户", fieldType=User.class, value="user.name", align=2, sort=5)
	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
}